package com.lanyuanxiaoyao.service.web.entity;

import com.lanyuanxiaoyao.service.configuration.entity.info.JobIdAndAlias;

/**
 * @author lanyuanxiaoyao
 * @date 2023-06-13
 */
public class JobIdAndAliasVO {
    private final String id;
    private final String alias;

    public JobIdAndAliasVO(String id, String alias) {
        this.id = id;
        this.alias = alias;
    }

    public JobIdAndAliasVO(Long id, String alias) {
        this(id.toString(), alias);
    }

    public JobIdAndAliasVO(JobIdAndAlias jiaa) {
        this(jiaa.getId(), jiaa.getAlias());
    }

    public String getId() {
        return id;
    }

    public String getAlias() {
        return alias;
    }

    @Override
    public String toString() {
        return "JobIdAndAliasVO{" +
                "id='" + id + '\'' +
                ", alias='" + alias + '\'' +
                '}';
    }
}
